using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DemoApplication
{
    public partial class ColorForm : ControlForm//SemitransparentForm.StForm
    {
        public ColorForm()
        {
            InitializeComponent();
            //this.FormBorderStyle = FormStyle.Movable;
            this.ShowIcon = false;
            this.ControlBoxHeight = 20;
            this.CornerRadius = 0;
            this.Opacity = 0.6;
            this.Load += new EventHandler(color_Contrast_Load);
            this.ActivePictureBoxChanged += new EventHandler(activePictureBoxChanged);
            this.FormClosing += new FormClosingEventHandler(Color_FormClosing);
        }

        void Color_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (colorControl1.thread != null &&
                colorControl1.thread.ThreadState != System.Threading.ThreadState.Aborted)
                colorControl1.thread.Abort();
        }

        void color_Contrast_Load(object sender, EventArgs e)
        {
            ActivePictureBox = ((MainForm)this.MdiParent).GetActivePictureBox();
        }

        private void activePictureBoxChanged(object sender, EventArgs e)
        {
            colorControl1.ActivePictureBox = ActivePictureBox;
            colorControl1.RefreshValues();
        }
    }
}